Bug 215995 - autoconf build needs to link replication plugin with libdb
autoconf build needs to link replication plugin with libdb
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
Reported: 2006-11-16 13:41 EST by Rich Megginson
Modified: 2015-12-07 11:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-07 11:41:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diffs (711 bytes, patch)
2006-11-16 13:41 EST, Rich Megginson
no flags Details | Diff
cvs commit log (1.04 KB, text/plain)
2006-11-16 13:56 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2006-11-16 13:41:16 EST
Server exits at first use of the replication plugin:
ns-slapd: symbol lookup error:
.../lib/fedora-ds/plugins/libreplication-plugin.so: undefined symbol: db_env_create
Comment 1 Rich Megginson 2006-11-16 13:41:17 EST
Created attachment 141396 [details]
Comment 2 Rich Megginson 2006-11-16 13:56:27 EST
Created attachment 141402 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Add $(DB_LINK) to the replication plugin
Platforms tested: RHEL4/FC5
Flag Day: no
Doc impact: no
Comment 3 Michael Gregg 2007-12-06 17:04:59 EST
Verified working last time I ran reliab15. Reliab15 uses libreplication a lot.

Verified aginst:
1196978446 redhat-ds-base-8.0.0-11.el5dsrv Thu Dec 06 2007

Note You need to log in before you can comment on or make changes to this bug.